RKCOMPHY(4)

NAME
rkcomphy - Rockchip PCIe/USB3/SATA/QSGMII PHY

SYNOPSIS
rkcomphy* at fdt?

DESCRIPTION
The rkcomphy driver controls the combo PIPE PHY integrated on Rockchip RK3528, RK3566/RK3568 and RK3588 SoCs. The PHY supports the PCIe 2.0 (2.5 GT/s and 5 GT/s), USB 3.0 (5 Gbps), SATA (1.5 Gbit/s, 3 Gbit/s and 6 Gbit/s) and QSGMII (1.25 Gbit/s and 5 Gbit/s) protocols. The rkcomphy driver does not implement support for QSGMII, and on the RK3528 SoC, only PCIe is supported.

SEE ALSO
intro(4)

HISTORY
The rkcomphy device driver first appeared in OpenBSD 7.3.

AUTHORS
-nosplit The rkcomphy driver was written by Mark Kettenis <kettenis@openbsd.org>.